#ifndef __COMMON_H__
#define __COMMON_H__

#pragma pack (1)

#define ULONG unsigned long

#define MAXLOGNAMELEN 100

// for rule struct
#define FLAGS_LEN 12
#define PNAME_LEN 18
#define UID_LEN   8
#define PID_LEN   8

// error results
#define PERR_MEM 0x01  // malloc() failed
#define PERR_OPN 0x02  // Load - open failed
#define PERR_DSK 0x03  // reading/writting/creating failed
#define PERR_COR 0x04  // Load - undet. value

void die(char *msg);

// ... Logging 

#define DEBUG_LOG     
#define DEBUG_LOG_LEVEL 0

#ifdef DEBUG_LOG
 int Log(int LogLevel,char *fmt, ...);
 #define LOG(args) Log args
// extern int Log(int LogLevel,char *fmt, ...);
#else
 #define LOG(args) 
#endif

extern char *start_path;    
extern char prg_path[0x200]; 

#endif
